### Constructor

# GtkSource PrintCompositor new

#### Declaration [src]

    GtkSourcePrintCompositor*
    gtk_source_print_compositor_new (
      GtkSourceBuffer* buffer
    )

#### Description [src]

Creates a new print compositor that can be used to print `buffer`.

#### Parameters

`buffer`

  Type: `GtkSourceBuffer`

  The `GtkSourceBuffer` to print.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourcePrintCompositor`

A new print compositor object.

The caller of the function takes ownership of the data, and is responsible for freeing it.